﻿using System.Windows;
using System.Windows.Controls;

namespace Demo.Controls
{
	public class ContentWithToolTip : ContentControl
	{
		public ContentWithToolTip()
		{
			this.DefaultStyleKey = typeof(ContentWithToolTip);
		}

		public static readonly DependencyProperty ToolTipTitleProperty =
			DependencyProperty.Register("ToolTipTitle", typeof(string), typeof(ContentWithToolTip), new PropertyMetadata(default(string)));

		public string ToolTipTitle
		{
			get { return (string)GetValue(ToolTipTitleProperty); }
			set { SetValue(ToolTipTitleProperty, value); }
		}

		public static readonly DependencyProperty ToolTipTextProperty =
			DependencyProperty.Register("ToolTipText", typeof(string), typeof(ContentWithToolTip), new PropertyMetadata(default(string)));

		public string ToolTipText
		{
			get { return (string)GetValue(ToolTipTextProperty); }
			set { SetValue(ToolTipTextProperty, value); }
		}

		public static DependencyProperty ToolTipMaxWidthProperty = DependencyProperty.Register("ToolTipMaxWidth", typeof(double), typeof(ContentWithToolTip), new PropertyMetadata(default(double)));

		public double ToolTipMaxWidth
		{
			get { return (double)GetValue(ToolTipMaxWidthProperty); }
			set { SetValue(ToolTipMaxWidthProperty, value); }
		}
	}
}
