﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;

namespace Demo.Controls
{
	public class ImageButton : Button
	{
		public ImageButton()
		{
			this.DefaultStyleKey = typeof(ImageButton);
		}

		public static readonly DependencyProperty ImageProperty =
			DependencyProperty.Register( "Image", typeof( ImageSource ), typeof( ImageButton ), new PropertyMetadata( default( ImageSource ) ) );

		public ImageSource Image
		{
			get { return (ImageSource) GetValue( ImageProperty ); }
			set { SetValue( ImageProperty, value ); }
		}

		public static DependencyProperty ImageWidthProperty = DependencyProperty.Register( "ImageWidth", typeof( double ), typeof( ImageButton ), new PropertyMetadata( default( double ) ) );

		public double ImageWidth
		{
			get { return (double) GetValue(ImageWidthProperty); }
			set { SetValue(ImageWidthProperty, value); }
		}

		public static DependencyProperty ImageHeightProperty = DependencyProperty.Register( "ImageHeight", typeof( double ), typeof( ImageButton ), new PropertyMetadata( default( double ) ) );

		public double ImageHeight
		{
			get { return (double) GetValue(ImageHeightProperty); }
			set { SetValue(ImageHeightProperty, value); }
		}
	}
}
