﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;

namespace Demo.Controls
{
	public class ImageButtonWithDescription : ImageButton
	{
		public ImageButtonWithDescription()
		{
			this.DefaultStyleKey = typeof(ImageButtonWithDescription);
		}

		public static readonly DependencyProperty DescriptionProperty =
			DependencyProperty.Register( "Description", typeof( string ), typeof( ImageButtonWithDescription ), new PropertyMetadata( default( string ) ) );

		public string Description
		{
			get { return (string) GetValue( DescriptionProperty ); }
			set { SetValue( DescriptionProperty, value ); }
		}
	}
}
