﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;

namespace Demo.Controls
{
	public class WatermarkedTextBox : TextBox
	{
		public WatermarkedTextBox()
		{
			this.DefaultStyleKey = typeof(WatermarkedTextBox);
			this.TextChanged += HandleTextChanged;
		}

		private void HandleTextChanged(object sender, TextChangedEventArgs e)
		{
			BindingExpression binding = this.GetBindingExpression(TextProperty);
			if (binding != null)
				binding.UpdateSource();
		}

		public static readonly DependencyProperty WatermarkTextProperty =
			DependencyProperty.Register("WatermarkText", typeof(string), typeof(WatermarkedTextBox), new PropertyMetadata(default(string)));

		public string WatermarkText
		{
			get { return (string)GetValue(WatermarkTextProperty); }
			set { SetValue(WatermarkTextProperty, value); }
		}

		public static readonly DependencyProperty WatermarkTextAlignmentProperty =
			DependencyProperty.Register("WatermarkTextAlignment", typeof (TextAlignment), typeof (WatermarkedTextBox), new PropertyMetadata(default(TextAlignment)));

		public TextAlignment WatermarkTextAlignment
		{
			get { return (TextAlignment) GetValue(WatermarkTextAlignmentProperty); }
			set { SetValue(WatermarkTextAlignmentProperty, value); }
		}
	}
}
