﻿using System;
using System.Globalization;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Media.Effects;
using System.Windows.Shapes;

namespace Demo.Converters
{
	public class BooleanToBlurEffectConverter : IValueConverter
	{
		private static readonly BlurEffect s_blurEffect = new BlurEffect { Radius = 8 };

		public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
		{
			if ((value == null) || !(value is bool))
				return null;

			if (targetType != typeof(Effect))
				throw new ArgumentException("Unsupported target type", "targetType");

			return (bool)value ? s_blurEffect : null;
		}

		public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
		{
			if (targetType != typeof(bool))
				throw new ArgumentException("Unsupported target type", "targetType");

			Visibility visibility = (Visibility)value;
			return (visibility == Visibility.Visible);
		}
	}
}
