﻿using System;
using System.Globalization;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace Demo.Converters
{
	public class EditionToStringConverter : IValueConverter
	{
		public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
		{
			if (value == null)
				return String.Empty;
			if (targetType != typeof(String))
			    throw new ArgumentException("Unsupported target type", "targetType");

			int edition = (int)value;
			string suffix = (parameter as string) ?? String.Empty;
			return (edition > 1) ? String.Format("{0}. Ausgabe{1}", edition, suffix) : String.Empty;
		}

		public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
		{
			throw new NotSupportedException();
		}
	}
}
