﻿using System;
using System.Globalization;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace Demo.Converters
{
	public class StringNullOrEmptyToVisibilityConverter : IValueConverter
	{
		public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
		{
			if (targetType != typeof(Visibility))
				throw new ArgumentException("Unsupported target type", "targetType");

			bool isNullOrEmpty = String.IsNullOrEmpty(value as string);
			return isNullOrEmpty ? IfNullOrEmpty : IfNotNullOrEmpty;
		}

		public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
		{
			if (targetType != typeof(bool))
				throw new ArgumentException("Unsupported target type", "targetType");

			Visibility visibility = (Visibility)value;
			return (visibility == Visibility.Visible);
		}

		public StringNullOrEmptyToVisibilityConverter()
		{
			this.IfNotNullOrEmpty = Visibility.Visible;
			this.IfNullOrEmpty = Visibility.Collapsed;
		}

		public Visibility IfNullOrEmpty { get; set; }
		public Visibility IfNotNullOrEmpty { get; set; }
	}
}
