using System;
using System.Windows.Controls;
using System.Windows.Navigation;

namespace Demo
{
	public class FrameNavigationService : INavigationService
	{
		private readonly Frame m_contentFrame;

		public void NavigateTo(Uri uri)
		{
			if (uri == null)
				throw new ArgumentNullException("uri");
			m_contentFrame.Navigate(uri);
		}

		public event NavigationFailedEventHandler NavigationFailed
		{
			add { m_contentFrame.NavigationFailed += value; }
			remove { m_contentFrame.NavigationFailed -= value; }
		}

		public FrameNavigationService(Frame contentFrame)
		{
			m_contentFrame = contentFrame;
		}
	}
}