using System;
using System.Linq.Expressions;

namespace Demo
{
	public static class NameHelper
	{
		public static string GetName<T>(Expression<Func<T>> expression)
		{
			if (expression.NodeType != ExpressionType.Lambda)
				throw new ArgumentException("Value must be a lambda expression ", "expression");
			var memberExpression = expression.Body as MemberExpression;
			if (memberExpression != null)
				return memberExpression.Member.Name;

			var parameterExpression = expression.Body as ParameterExpression;
			if (parameterExpression != null)
				return parameterExpression.Name;

			throw new NotSupportedException(String.Format("Specified expression type {0} not supported", expression.NodeType));
		}
	}
}