﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Demo.Pages;

namespace Demo
{
	public partial class MultipleObjectsOthersPage : Page
	{
		public MultipleObjectsOthersPage()
		{
			InitializeComponent();

			this.Photos = GetPhotos();
			this.Files1 = GetFiles(new[]
				{
					"FooBarCollection.cs", "Lorem.pdf", "Ipsum.pdf", "ReadMe.docx", "SampleData.xlsx", "ThingyFactory.cs"
				});
			this.Files2 = GetFiles(new[]
				{
					"FooBarCollection.cs", "LoremReader.cs", "IpsumModel.cs", "ReadMeReader.cs", "SampleDataBuilder.cs", "ThingyFactory.cs"
				});
			this.DataContext = this;
		}

		private static List<Photo> GetPhotos()
		{
			var titles = new[]
			             	{
			             		"Über dem Atlantik", "San Francisco", "Fishermans Wharf", "Im Yosemite Nationalpark",
			             		"Welcome to Las Vegas", "Mandalay Bay", "Grand Canyon", "Bellagio bei Nacht", "Guggenheim Museum",
			             		"Blick auf Central Park",
			             		"Im Central Park", "\"Das Bügeleisen\"", "Sonne über New Jersey", "Mond über Brooklyn"
			             	};

			var photos = titles.Select((title, index) => new Photo
															{
																Image =
																	String.Format(
																		"/UIPatternsDemo;component/Assets/Photos/USA{0:00}.jpg", index + 1),
																Title = title,
																Filename = String.Format("DSC{0:00000}.jpg", index + 1234)
															}).ToList();
			return photos;
		}

		private static IList<File> GetFiles(IEnumerable<string> filenames)
		{
			var files = filenames.Select(filename =>
											{
												string extension = System.IO.Path.GetExtension(filename) ?? ".";
												return new File
														{
															Image = String.Format("/UIPatternsDemo;component/Assets/FileIcons/{0}.png", extension.Substring(1).ToUpper()),
															Filename = filename
														};
											}).ToList();
			return files;
		}


		public IList<Photo> Photos { get; set; }

		public IList<File> Files1 { get; set; }
		public IList<File> Files2 { get; set; }

		// Executes when the user navigates to this page.
		protected override void OnNavigatedTo(NavigationEventArgs e)
		{
		}
	}
}